//
// JmsaQueue.java - JMS Adapter Queue
//
// JmsaD handles the "administered" object side of things.
// The queue name is the underlying queue name.
//

package nyangau.jmsadapter;

import java.util.Map;
import javax.jms.*;

public class JmsaQueue extends JmsaD implements Queue
  {
  protected transient Queue q;
//...sJmsaQueue:2:
public JmsaQueue(Queue queue, Map<String,Object> map)
  {
  super(map);
  q = queue;
  }

public JmsaQueue(Map<String,Object> map)
  {
  super(map);
  q = null;
  }

public JmsaQueue(Map<String,Object> map, Map<String,Object> map2)
  {
  super(map, map2);
  q = null;
  }

public JmsaQueue()
  {
  q = null;
  }
//...e
//...sgetQueueName:2:
public String getQueueName()
  throws JMSException
  {
  if ( q == null )
    q = (Queue) findDest();
  return q.getQueueName();
  }
//...e
//...sgetDest:2:
public Destination getDest()
  throws JMSException
  {
  if ( q == null )
    q = (Queue) findDest();
  return q;
  }
//...e
  }
